Cross environments within a prefixed system do not have a nested prefix,
i.e. they are located at ${EPREFIX}/usr/${CHOST}, not ${EPREFIX}/usr/${CHOST}/${EPREFIX}. Binaries built with the
cross-compiler should therefore get an unprefixed dynamic linker path by default so that they work out of the box with QEMU's -L option.
Signed-off-by: James Le Cuirot <chewi@gentoo.org>
---
eclass/toolchain.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index c605c437f355a..f5d3b83c2e03b 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -716,7 +716,7 @@ toolchain_src_prepare() {
gnuconfig_update
- if ! use prefix-guest && [[ -n ${EPREFIX} ]] ; then
+ if ! is_crosscompile && ! use prefix-guest && [[ -n ${EPREFIX} ]] ; then
einfo "Prefixifying dynamic linkers..."
for f in gcc/config/*/*linux*.h ; do
ebegin " Updating ${f}"
Sysop: | Keyop |
---|---|
Location: | Huddersfield, West Yorkshire, UK |
Users: | 475 |
Nodes: | 16 (2 / 14) |
Uptime: | 16:36:09 |
Calls: | 9,487 |
Calls today: | 6 |
Files: | 13,615 |
Messages: | 6,121,086 |